=== netbsd/5/src/external/Makefile ===
#	$NetBSD: Makefile,v 1.2.2.1 2009/09/15 06:01:40 snj Exp $

SUBDIR+= lib .WAIT

SUBDIR+= bsd intel-fw-eula intel-fw-public ibm-public

.include <bsd.subdir.mk>
