=== netbsd/5/src/compat/lib/Makefile ===
#	$NetBSD: Makefile,v 1.1.2.1 2009/01/22 23:17:34 snj Exp $

_CURDIR:= ${.CURDIR}

.include <bsd.own.mk>
.CURDIR:=${NETBSDSRCDIR}/lib

.include "${.CURDIR}/Makefile"

.CURDIR:= ${_CURDIR}
