=== netbsd/5/src/external/gpl2/libdevmapper/dist/debian/changelog ===
devmapper (0.96.07-1) unstable; urgency=low

  * New upstream version.  (Closes: #171671)
  * Char signedness assumption fixed.  (Closes: #163825)
  * Remove types.h inclusion fix from 2.4.19 kernel patch; committed upstream.
  * debian/copyright fix to appease lintian.

 -- Andres Salomon <dilinger@mp3revolution.net>  Mon,  9 Dec 2002 02:16:28 -0400

devmapper (0.96.04-2) unstable; urgency=low

  * Make the new version of dh-kpatches happy.  (Closes: #160927)
  * Make header-update makefile rule consistent w/ my other packages, and
    update headers for good measure.

 -- Andres Salomon <dilinger@mp3revolution.net>  Sat, 21 Sep 2002 17:29:07 -0400

devmapper (0.96.04-1) unstable; urgency=low

  * New upstream release (Beta5).
  * Update kernel headers to 2.4.19.
  * Update kpatch to 2.4.19.

 -- Andres Salomon <dilinger@mp3revolution.net>  Thu, 15 Aug 2002 00:26:20 -0400

devmapper (0.95.07-3) unstable; urgency=low

  * Move libdevmapper0 libs to /lib.  (Closes: #146237)
  * Remove dependency on fileutils, to shut lintian up.

 -- Andres Salomon <dilinger@mp3revolution.net>  Sun, 12 May 2002 03:20:54 -0500

devmapper (0.95.07-2) unstable; urgency=low

  * Fix link error on hppa, due to lack of -fPIC.  (Closes: #144792)
  * Fix postinst error in libdevmapper0.  (Closes: #144889)
  * Updated depends (removed patch, bzip2, added modutils, fileutils).

 -- Andres Salomon <dilinger@mp3revolution.net>  Sun, 28 Apr 2002 14:26:59 -0500

devmapper (0.95.07-1) unstable; urgency=low

  * New release (Beta2).
  * Remove 2.4.16 and 2.4.17 patches from kpatches.
  * Reworked the build system to supply its own headers, instead of
    depending upon kernel-source packages.  Makes building much faster.
  * Added scripts/ directory, and scripts to keep kernel headers up-to-date.

 -- Andres Salomon <dilinger@mp3revolution.net>  Thu, 25 Apr 2002 01:01:41 -0500

devmapper (0.95.06-1) unstable; urgency=low

  * New release.

 -- Andres Salomon <dilinger@mp3revolution.net>  Wed,  3 Apr 2002 00:02:12 -0500

devmapper (0.95.05-1) unstable; urgency=low

  * New release; ext3 support and 2.4.18 patches now included.
  * Drop the cvs<date> suffix from version.

 -- Andres Salomon <dilinger@mp3revolution.net>  Fri, 15 Mar 2002 01:03:25 -0500

devmapper (0.95.03cvs20020306-1) unstable; urgency=low

  * New Release.
  * Convert from debian native package.

 -- Andres Salomon <dilinger@mp3revolution.net>  Wed,  6 Mar 2002 00:29:39 -0500

devmapper (0.95.02cvs20020304) unstable; urgency=low

  * CVS update.
  * Renamed libdevmapper package to libdevmapper0.
  * Added postinst script for creating devmapper control device.

 -- Andres Salomon <dilinger@mp3revolution.net>  Mon,  4 Mar 2002 02:23:48 -0500

devmapper (0.95.02cvs20020218) unstable; urgency=low

  * Initial Release.
  * device-mapper broken up into libdevmapper1, libdevmapper-dev,
    dmsetup, and kernel-patch-device-mapper.

 -- Andres Salomon <dilinger@mp3revolution.net>  Mon, 18 Feb 2002 15:46:08 -0500
