=== netbsd/5/src/external/gpl2/libdevmapper/dist/debian/control ===
Source: devmapper
Section: admin
Priority: optional
Maintainer: Andres Salomon <dilinger@mp3revolution.net>
Build-Depends: debhelper (>> 3.0.0), dh-kpatches
Standards-Version: 3.5.2

Package: kernel-patch-device-mapper
Section: devel
Architecture: any
Depends: ${kpatch:Depends}
Suggests: libdevmapper0, kernel-source-2.4.19
Description: The Linux Kernel Device Mapper kernel patch
 The Linux Kernel Device Mapper is the LVM (Linux Logical Volume Management)
 Team's implementation of a minimalistic kernel-space driver that handles
 volume management, while keeping knowledge of the underlying device layout
 in kernel space.  This makes it useful for not only LVM, but EVMS, software
 raid, and other drivers that create "virtual" block devices.
 .
 This package contains the kernel patch for the device-mapper.

Package: libdevmapper-dev
Section: devel
Architecture: any
Depends: libdevmapper0 (= ${Source-Version}), libc6-dev
Description: The Linux Kernel Device Mapper header files
 The Linux Kernel Device Mapper is the LVM (Linux Logical Volume Management)
 Team's implementation of a minimalistic kernel-space driver that handles
 volume management, while keeping knowledge of the underlying device layout
 in kernel space.  This makes it useful for not only LVM, but EVMS, software
 raid, and other drivers that create "virtual" block devices.
 .
 This package contains the (user-space) header files for accessing the
 device-mapper; it allow usage of the device-mapper through a clean,
 consistent interface (as opposed to through kernel ioctls).

Package: libdevmapper0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, modutils
Provides: libdevmapper
Description: The Linux Kernel Device Mapper userspace library
 The Linux Kernel Device Mapper is the LVM (Linux Logical Volume Management)
 Team's implementation of a minimalistic kernel-space driver that handles
 volume management, while keeping knowledge of the underlying device layout
 in kernel space.  This makes it useful for not only LVM, but EVMS, software
 raid, and other drivers that create "virtual" block devices.
 .
 This package contains the (user-space) shared library for accessing the
 device-mapper; it allows usage of the device-mapper through a clean,
 consistent interface (as opposed to through kernel ioctls).

Package: dmsetup
Section: admin
Architecture: any
Depends: ${shlibs:Depends}
Description: The Linux Kernel Device Mapper userspace library
 The Linux Kernel Device Mapper is the LVM (Linux Logical Volume Management)
 Team's implementation of a minimalistic kernel-space driver that handles
 volume management, while keeping knowledge of the underlying device layout
 in kernel space.  This makes it useful for not only LVM, but EVMS, software
 raid, and other drivers that create "virtual" block devices.
 .
 This package contains a utility for modifying device mappings.
